<?php 
	
	// $pdo est défini dans php/_connexion.php, appelé dans templates/_header.php
	// Il s'agit de l'objet permttant la connexion à la base de données
	
	// http://php.net/manual/fr/pdo.prepared-statements.php
	// Préparation de la requête SQL
	// Je récupère tous les champs de la table 'order' pour les 3 premiers résultats
	$stmt = $pdo->prepare("
	
		SELECT *
		FROM orders
		LIMIT 3
		;

	");
	
	// Gestion des erreurs dans le catch
	try {

		// Execution de la reqête
		$stmt->execute();
		
		// Récupération des résultats (sous forme de tableau associatif) et stockage dans une variable
		// Cette dernière sera utilisée pour l'affichage dans templates/template_index.phtml
		$retourRequete = $stmt->fetchAll();
	}
	// http://php.net/manual/fr/class.pdoexception.php
	catch (PDOException $e) {

		$errorInfo = $stmt->errorInfo();
		// var_dump($errorInfo);
		
		echo "	<div class=\"sqlError\">
					<fieldset>
						<legend>Erreur sql ¯\_(ツ)_/¯</legend>
						<div class=\"content\">" . $errorInfo[2] . "</div>
					</fieldset>
				</div>
		";

		return false;
	}
?>